Re: 8.1.4 doesn't start on Mac OS 10.6.2

I got rid of the 'Database Navigator' plugin, and now 8.1.4 starts.


Dave Levitt wrote:

Well, at least on 10.5 that does not help

>


2009-11-19 09:51:12,582    INFO -        #com.intellij.idea.Main -

-


IDEA STARTED
-


2009-11-19 09:51:15,535   ERROR - llij.ide.plugins.PluginManager -

Expected implementation for extension declaration (ep =
com.intellij.completion.contributor)

java.lang.RuntimeException: Expected implementation for extension

declaration (ep = com.intellij.completion.contributor)

at com.intellij.openapi.extensions.impl.ExtensionsAreaImpl.registerExtensio

n(ExtensionsAreaImpl.java:134)

at com.intellij.openapi.extensions.impl.ExtensionsAreaImpl.registerAreaExte

nsionsAndPoints(ExtensionsAreaImpl.java:313)

at com.intellij.ide.plugins.IdeaPluginDescriptorImpl.setLoader(IdeaPluginDe

scriptorImpl.java:365)

at com.intellij.ide.plugins.PluginManager.initializePlugins(PluginManager.j

ava:202)

at com.intellij.ide.plugins.PluginManager.getPlugins(PluginManager.java:87)
at com.intellij.openapi.application.impl.ApplicationImpl.e(ApplicationImpl.

java:327)

at com.intellij.openapi.application.impl.ApplicationImpl.<init>(Application

Impl.java:221)

at com.intellij.openapi.application.ex.ApplicationManagerEx.createApplicati

on(ApplicationManagerEx.java:7)

at com.intellij.idea.IdeaApplication.<init>(IdeaApplication.java:26)
at com.intellij.idea.MainImpl.a(MainImpl.java:1)
at com.intellij.idea.MainImpl.access$000(MainImpl.java:33)
at com.intellij.idea.MainImpl$2.proceed(MainImpl.java)
at com.intellij.ide.a.c.j$10.run(j$10.java:2)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:633)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.

java:296)

at

java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211)

at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.

java:201)

at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:196)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:188)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
2009-11-19 09:51:15,538   ERROR - llij.ide.plugins.PluginManager -

JDK: 1.6.0_15

2009-11-19 09:51:15,538   ERROR - llij.ide.plugins.PluginManager -

VM: Java HotSpot(TM) 64-Bit Server VM

2009-11-19 09:51:15,538   ERROR - llij.ide.plugins.PluginManager -

Vendor: Apple Inc.

2009-11-19 09:51:15,538   ERROR - llij.ide.plugins.PluginManager -

OS: Mac OS X
>

>

I'm going to try this again setting the java version in the plist to 1.5,

and putting the 32 bit version before the 64 bit version
>

---
Original message URL:

http://www.jetbrains.net/devnet/message/5250453#5250453

Please sign in to leave a comment.